Skip to main content
GET
List Voucher Transactions

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

code
string
required

A code that identifies the voucher or a unique voucher ID assigned by Voucherify, i.e. v_TzD19aeNiqGc9LWciMWknyEZT8IW7u4u.

Example:

"2CpRCE2c"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
id,
-id
starting_after_id
string

A cursor for pagination. It retrieves the transactions starting after a transaction with the given ID.

Response

Returns a dictionary of transaction objects

Response body schema for GET v1/vouchers/{code}/transactions.

object
enum<string>
default:list
required

The type of the object represented by JSON.

Available options:
list
data_ref
enum<string>
default:data
required

Identifies the name of the attribute that contains the array of transaction objects.

Available options:
data
data
Voucher Transaction · object[]
required

A dictionary that contains an array of transactions. Each entry in the array is a separate transaction object.

has_more
boolean
required

As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request (with a different paging or a different start date filter) to get more records returned in the results.

more_starting_after
string

Returns an ID that can be used to return another page of results. Use the transaction ID in the starting_after_id query parameter to display another page of the results starting after the transaction with that ID.

Last modified on May 28, 2026